<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
    <PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="12.1.1" />
    <PackageReference Include="InfluxDB.Client" Version="4.17.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.16" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="9.0.16" />
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="9.0.16" />
  </ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\PARR.Domain\PARR.Domain.csproj" />
	</ItemGroup>

	<ItemGroup>
		<!-- Разрешаем тестовой сборке видеть internal классы PARR.Core -->
		<InternalsVisibleTo Include="PARR.Core.Tests" />
		<!-- Разрешаем Castle DynamicProxy (Moq / NSubstitute) видеть internal классы PARR.Core -->
		<InternalsVisibleTo Include="DynamicProxyGenAssembly2" />
	</ItemGroup>
</Project>
